# Uses of Class
org.eclipse.gef.mvc.fx.ui.properties.UndoablePropertySheetEntry

Packages that use UndoablePropertySheetEntry
Package
Description
org.eclipse.gef.mvc.fx.ui.properties
This package contains helper classes for the integration and manipulation of properties within the Eclipse "Properties View".

## Uses of UndoablePropertySheetEntry in org.eclipse.gef.mvc.fx.ui.properties

Methods in org.eclipse.gef.mvc.fx.ui.properties that return UndoablePropertySheetEntry
Modifier and Type
Method
Description
`protected UndoablePropertySheetEntry`
UndoablePropertySheetPage.`createRootEntry()`
Creates the `IPropertySheetEntry` that is used as the root entry of this `UndoablePropertySheetPage`.
Methods in org.eclipse.gef.mvc.fx.ui.properties with parameters of type UndoablePropertySheetEntry
Modifier and Type
Method
Description
`protected void`
UndoablePropertySheetEntry.`valueChanged(UndoablePropertySheetEntry child, ITransactionalOperation operation)`
Update parent entry about change, being encapsulated into the given operation.